#!/bin/sh
cd /usr/local/src
if [ -d dvb-apps ] ; then
   echo "dvb-apps exists"
   exit 1
fi

cvs -d :pserver:anonymous:@linuxtv.org:/cvs/linuxtv login
cvs -d :pserver:anonymous@linuxtv.org:/cvs/linuxtv co dvb-apps

DT=`date +%y%m%d`
mv dvb-apps dvb-apps-$DT

rm DVB_APPS
ln -s dvb-apps-$DT DVB_APPS

cd DVB_APPS

make bindir=/usr/bin datadir=/usr/share libdir=/usr/lib
make bindir=/usr/bin datadir=/usr/share libdir=/usr/lib DESTDIR= install

echo "Done !"
#echo "If you use lirc you have to reemerge it ( emerge lircd )"
